<?php
declare(strict_types=0);

$objt1tag='button';

$zstyleb='vertical-align:top;height:1.7em;';
// if($getplat=='Android'){$zstyleb='vertical-align:bottom;height:2em;'; echo '';}
// if($getplat=='Linux'){$zstyleb='vertical-align:bottom;height:3.5em;'; echo '';}
$zstyle.=$zstyleb;

$zstyle0='';
$zstyle1='';
$zhref=trim($zhref);

// if(!isset($zcaption)){$zcaption='';}

if($z1click==1){$zonclick='{this.style.display="none";}'.$zonclick;}

if(mb_stristr(strtolower($zcaption.$zlabel),'impri') or mb_stristr(strtolower($zcaption.$zlabel),'impr,') or mb_stristr(strtolower($zcaption.$zlabel),'print'))
{
//      🖶
     $zbackcolor='gold';
     $znoprint=1;
     if(empty($ztitle)){$ztitle='Imprimir';}
//      {$zlabel='&#x1F5B6;';}
     $zlabel='🖨️';
//      if(getPlatform()=='Android')
//      {$zlabel='🖨';}
}

if(mb_stristr(strtolower($zcaption.$zlabel),'final'))
{
//      $zbackcolor='darkred';
     $zbackcolor='crimson';
     $zfontcolor='snow';
     $znoprint=1;
     if(empty($ztitle)){$ztitle='Finalizar';}
//      if(getPlatform()!='Android')
//      {$zlabel='&#128191;'; }
     
}

if(mb_stristr(strtolower($zcaption.$zlabel),'reset'))
{
//      $zbackcolor='green';
//      $zfontcolor='snow';
     $znoprint=1;
     if(empty($ztitle)){$ztitle='Reset';}
     $zlabel='🔄 '.$zlabel;
     
}

if(mb_stristr('carrito',strtolower($zcaption.$zlabel)))
{
     $zbackcolor='green';
     $zfontcolor='snow';
     $znoprint=1;
     if(empty($ztitle)){$ztitle='Carrito';}
     $zlabel='🛒 Carrito';
     
}

if(mb_stristr(strtolower($zcaption.$zlabel),'graba'))
{
     $zbackcolor='navy';
     $zfontcolor='lightgray';
     $znoprint=1;
     if(empty($ztitle)){$ztitle='Grabar';}
//      if(getPlatform()!='Android')
//      {$zlabel='&#128191;'; }
//      $zlabel='Graba💽💿📀';
     $zlabel='💽 Graba';
}

if(mb_stristr(strtolower($zcaption.$zlabel),'wsapp'))
{
     $zbackcolor='#25D366';
     $zfontcolor='white';
     $znoprint=1;
     if(empty($ztitle)){$ztitle='WhatsApp';}
//      if(getPlatform()!='Android')
//      {$zlabel='&#128222;';}
     $zlabel=' ✆ WsApp';
}

if(mb_stristr(strtolower($zcaption.$zlabel),'consulta'))
{
//      $zbackcolor='green';
     $zbackcolor='lightgreen';
//      $zfontcolor='snow';
     $znoprint=1;
     $zlabel='🔎 Consulta';
     
     
}

if(mb_stristr(strtolower($zcaption.$zlabel),'nuevo'))
{
     $zbackcolor='cyan';
     $zfontcolor='black'; 
     $znoprint=1;
     if(empty($ztitle)){$ztitle='Nuevo';}
//      if(getPlatform()!='Android')
//      {$zlabel='&#128459;';}
//      $zlabel='🗋📄🗒';
     $zlabel='📄';
//      $zlabel=' 🆕 ';
}

if(mb_stristr(strtolower($zcaption.$zlabel),'busca'))
{
     $zbackcolor='aqua';
     $zsize=$zsize*2;
     if(empty($ztitle)){$ztitle='Buscar';}
//      if(getPlatform()!='Android')
//      {$zlabel='&#128270;'; }
     $zlabel='🔎 Buscar';
}


if(mb_stristr(strtolower($zcaption.$zlabel),'envi')){$zbackcolor='gold'; $znoprint=1;}

// 𝕏

if(mb_stristr(strtolower($zcaption.$zlabel),'excel') or mb_stristr(strtolower($zcaption.$zlabel),'xls') or mb_stristr(strtolower($zcaption.$zlabel),'𝕏'))
{
//      $zbackcolor='lightgreen';
     $zbackcolor='green';
     $zfontcolor='snow';
     $znoprint=1;
     $ztitle='Excel';
//      $zlabel='🔢 '.$zlabel;
//      $zlabel='🔢';
//      $zlabel='XL';
     if(empty($ztitle)){$ztitle='Excel';}
     
}
// if(mb_stristr(strtolower($zcaption.$zlabel),'xls')){$zbackcolor='lightgreen'; $znoprint=1;}

if(mb_stristr(strtolower($zcaption.$zlabel),'pdf'))
{
     $zbackcolor='#F2E3E2';
     $znoprint=1;
     $ztitle='PDF';
//      $zlabel='🔢 '.$zlabel;
//      $zlabel='🔢';
//      $zlabel='XL';
     if(empty($ztitle)){$ztitle='PDF';}
     
}

if(mb_stristr(strtolower($zcaption.$zlabel),'pdf')){$zbackcolor='#F2E3E2'; $znoprint=1;}
if(mb_stristr(strtolower($zcaption.$zlabel),'vaciar')){$zbackcolor='darkred';$zfontcolor='snow'; $znoprint=1;}
if(mb_stristr(strtolower($zcaption.$zlabel),'borrar')){$zbackcolor='darkred';$zfontcolor='snow'; $znoprint=1;}
if(mb_stristr(strtolower($zcaption.$zlabel),'eliminar')){$zbackcolor='darkred';$zfontcolor='snow'; $znoprint=1;}


// if(empty($zid)){$zid=microtime()*1000000;}
if(empty($zid)){$zid=microtime(true)*1000000;}
if(empty($zobj)){$zobj=3;}
if(empty($zalign)){$zalign='left';}
if(empty($zsize)){$zsize=1;}
if(empty($zlabel)){$zlabel=$zcaption;}
if(!empty($zsize) and $zsize!=1){$zstyle.='font-size:'.($zsize).'em;'; }

if(!empty($zcolor)){$zstyle.='background:'.$zcolor.';';}
// if(!empty($zcolor) and hexdec($zcolor)<=100){$zstyle.='color:#808080;';}
if(empty($zakey)){$zakey=substr_letra($zlabel);}
if($zreado==1){$zakey='';}



if(!empty($zfontcolor)){$zstyle.='color:'.$zfontcolor.';';}
if(empty($zfontcolor))
{
$escolor10=escolor10($zcolor);
// echo '<br>:'.$zid.$escolor10;     
if($escolor10==0){$zstyle.='color:#808080;';}
// if(escolor10==0){$zstyle.='color:#FFFFFF;';}
// if(escolor10==1){$zstyle.='color:#000000;';}
}


if(!empty($zalign)){$zstyle.='float:'.$zalign.';';}
if(mb_stristr($zwidth,'%') or $ztcell>=1){$zstyle.='width:100%;';}
if($zsize<1){$zstyle.='min-height:2em;';}



$domd_b = new DOMDocument();
     $domd_b->encoding = 'utf-8';
     $domd_b->xmlVersion = '1.0';
     $domd_b->formatOutput = true;
$elem_b=$domd_b;

if(!empty($zdom)){$domd_b=$zdom;}
if(!empty($zele)){$elem_b=$zele;}

if($ztcell>=2)
{
     $element=$elem_b->appendChild($domd_b->createElement("td"));
     $element->setAttribute("colspan",$ztcell);
     $element->setAttribute("valign","top");
}
else
{
     $element=$elem_b->appendChild($domd_b->createElement("span"," "));
     if($zalign=='center')
     {if(empty($zhide)){$zstyle0.="display:table;margin:0 auto;";}}
     else
     {$zstyle0.="margin-left:".$zsize*(0.5)."em;margin-right:".$zsize*(0.5)."em;margin-bottom:".$zsize*(0.5)."em;";}
     
     
     if(getPlatform()=='Android'){$zstyle0.="margin-top:".$zsize*(2)."em;";}
     if(getPlatform()=='Linux'){$zstyle0.="margin-top:".$zsize*(2)."em;";}
     if(!empty($zalign))
     {$element->setAttribute("style","float:".$zalign.";".$zstyle0);}
     if(mb_stristr($zwidth,'%'))
     {$element->setAttribute("style","width:".$zwidth."");}
}
if(!empty($ztitle)){$element->setAttribute("title",$ztitle);}
if(!empty($zhide)){$element->setAttribute("hide","");}
if(!empty($znoprint)){$element->setAttribute("noprint","");}
// if(!empty($zstyle1)){$element->setAttribute("style",$zstyle1);}

// if(($zobj==2 or $zobj==3 or $zobj==6) and $ztcell<=1 and getPlatform()=='Android'){$zobj=4;}
     if(empty($zhref))
     {
          if(!empty($zbackcolor)){$zstyle.='background-color:'.$zbackcolor.';';}
          
          
          $objt1=$element->appendChild($domd_b->createElement($objt1tag,$zlabel));
          if(!empty($zstyle1)){$objt1->setAttribute("style",$zstyle1);}
     }

     if(!empty($zhref))
     {
          if(!empty($zbackcolor)){$zstyle1.='background-color:'.$zbackcolor.';';}
          
          $objt1=$element->appendChild($domd_b->createElement($objt1tag,""));   
          if(!empty($zstyle1)){$objt1->setAttribute("style",$zstyle1);}
          $objt1=$objt1->appendChild($domd_b->createElement("a",$zlabel));             
          if(!empty($zdownload)){$objt1->setAttribute("download","");}
     }


     if(!empty($zakey)){$objt1->setAttribute("accesskey",$zakey);}
     if(!empty($zid)){$objt1->setAttribute("id",$zid);}
     if(!empty($ztype)){$objt1->setAttribute("type",$ztype);}
     if(!empty($zstyle)){$objt1->setAttribute("style",$zstyle);}   
//      if(!empty($zstyle1)){$objt1->setAttribute("style",$zstyle1);}
     if(!empty($zclass)){$objt1->setAttribute("class",$zclass);}
     if(!empty($zvalue)){$objt1->setAttribute("value",$zvalue);}
     if(!empty($zonclick)){$objt1->setAttribute("onclick",$zonclick);}
     if(!empty($zhref)){$objt1->setAttribute("href",$zhref);}
     if(!empty($zhref)){$objt1->setAttribute("target","_blank");}
     $span=$element->appendChild($domd_b->createElement("span"," "));   
     if(!empty($zid)){$span->setAttribute("id",$zid.'_msg');}
 
if(!empty($zimage))
{
     $objt1img=$objt1->appendChild($domd_b->createElement("img",""));
          $objt1img->setAttribute("src",$zimage);
          $objt1img->setAttribute("height","1.7em");
}

if(empty($zdom))
{
     if($zxml==1){$zxml=$domd_b->saveHTML();}
     else{echo $domd_b->saveHTML();}
}     

include ('ele_reset.php');
?>
